How to freeze to 2.1.0-RC1?

What TAG or REVISION number do I use to rake rails:freeze:edge to 2.1.0-RC1? I've tried TAG=rel_2-1-0-RC1 and TAG=rel_2-0-991, but without success.

(I'm on shared hosting, so I can't just gem install rails easily.)

Also, when I freeze without a parameter (= bleeding edge if I understand correctly) and specify RAILS_GEM_VERSION='2.0.991' in environment.rb, it seems to recognize the 2.1.0 features, but "rails -v" and "ruby script/about" still say "Rails version 2.0.2". Is that normal?

Also, when I freeze without a parameter (= bleeding edge if I understand correctly)

That should be "when I freeze to edge without a parameter"

I'm sure I'll be corrected if I'm wrong, but I don't think you can use
rake rails:freeze... to get 2.1, since it's only on github. Instead
you have two alternatives:

   1) Install it as a gem from the beta server: sudo gem install rails
–source http://gems.rubyonrails.com/ and then freeze the gem.
   2) install it using git:
           cd vendor
           svn rm rails (If you already have vendor/rails)
           git clone git://github.com/rails/rails.git rails
           git checkout v2.1.0_RC1
           cd ..
           rake rails:update
           svn add .

You can also get a compressed version of it from the github site if
you're not using git and then uncompress it into your vendor
directory.

Thanks, it worked!

cd vendor
wget http://github.com/rails/rails/tarball/v2.1.0_RC1
tar xvzf rails-rails-lotsofhexdigits.tar.gz
mv rails-rails-whatever rails

Didn't think it was that easy.

AndyV wrote: